## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > IdToWindow

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_IdToWindow — Find Tk's window information for an X window

### SYNOPSIS

#include <tk.h>
Tk_Window
Tk_IdToWindow(display, window)

### ARGUMENTS

Display *display (in)
  X display containing the window.

Window window (in)
  X id for window.

### DESCRIPTION

Given an X window identifier and the X display it corresponds to, this procedure returns the corresponding Tk_Window handle. If there is no Tk_Window corresponding to window then NULL is returned.

### KEYWORDS

X window id
Copyright © 1995-1996 Sun Microsystems, Inc.